org.apache.cassandra.index

## Interface Index.Searcher

- All Known Implementing Classes:
    CassandraIndexSearcher, CompositesSearcher, KeysSearcher
  Enclosing interface:
    Index

      public static interface Index.Searcher

  Performs the actual index lookup during execution of a ReadCommand. An instance performs its query according to the RowFilter.Expression it was created for (see searcherFor) An Expression is a predicate of the form [column] [operator] [value].

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnfilteredPartitionIterator` | `search(ReadExecutionController executionController)`

- - ### Method Detail

    - #### search

          UnfilteredPartitionIterator search(ReadExecutionController executionController)

      Parameters:
        `executionController` - the collection of OpOrder.Groups which the ReadCommand is being performed under.
      Returns:
        partitions from the base table matching the criteria of the search.

Copyright © 2018 The Apache Software Foundation